Create a Company Share
curl --request POST \
--url https://api.tread-horizon.com/v1/companies/{company-id}/company_shares \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"receiver_company_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"company_shareable_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dispatchable": true,
"rate_override": true,
"expires_at": "2023-11-07T05:31:56Z",
"ticket_match_id": "<string>"
}
'import requests
url = "https://api.tread-horizon.com/v1/companies/{company-id}/company_shares"
payload = {
"receiver_company_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"company_shareable_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dispatchable": True,
"rate_override": True,
"expires_at": "2023-11-07T05:31:56Z",
"ticket_match_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
receiver_company_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
company_shareable_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
dispatchable: true,
rate_override: true,
expires_at: '2023-11-07T05:31:56Z',
ticket_match_id: '<string>'
})
};
fetch('https://api.tread-horizon.com/v1/companies/{company-id}/company_shares', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"external_id": "<string>",
"ticket_match_id": "<string>",
"sender_company": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tread_id": "ABC123",
"legal_name": "<string>",
"company_type": "hauler"
},
"dispatchable": true,
"schedule_on": true,
"rate_override": true,
"expires_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"parent_company_share_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"company_shareable_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"receiver_company": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tread_id": "ABC123",
"legal_name": "<string>",
"company_type": "hauler"
},
"company_shareable": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
}
}{
"error": {
"code": "<string>",
"error_type": "<string>"
}
}{
"error": {
"code": "<string>"
}
}{
"error": {
"code": "<string>"
}
}{
"error": {
"code": "<string>"
}
}{
"error": {
"code": "<string>"
}
}{
"error": {
"code": "<string>",
"errors": [
{
"model": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}
}CompanyShares
Create a Company Share
Create a CompanyShare.
This endpoint requires the create_companyshare permission.
POST
/
v1
/
companies
/
{company-id}
/
company_shares
Create a Company Share
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The Accept-Language request HTTP header indicates the natural language and locale that the client prefers.
Example:
"en"
Path Parameters
Company ID
Body
application/json
Available options:
User, Equipment, Site Whether the receiver Company can dispatch to the shared model.
dispatchable defaults to false for Equipment and true for User.
Whether the receiver Company can override the Rate that will be used by the shared model when dispatched.
rate_override is always false for Equipment and defaults to false for User (can be edited to true)
ISO8601 timestamp with local timezone
Response
Created
Show child attributes
Show child attributes
⌘I